#ifndef COMMONS_GRADIENT_H
#define COMMONS_GRADIENT_H

uniform sampler2D s_Gradients;

vec4 gradient_sample(int idx, float t)
{
	return textureLod(s_Gradients, vec2(t, (float(idx) + 0.5) / 256.0), 0.0);
}

#endif // COMMONS_GRADIENT_H
